# Intro and Quickstart

The <code class="expression">space.vars.product\_name</code> API allows you to automate all your private cloud interactions and perform operations such as creating or updating virtual machines, downloading images, creating networks, creating storage volumes, and any other <code class="expression">space.vars.product\_name</code> operation.

You can use the API to:

* Create and update [Broken link](https://docs.platform9.com/api-docs/broken-reference "mention")
* Create and update one or more virtualized clusters
* Fetch, download, edit [Broken link](https://docs.platform9.com/api-docs/broken-reference "mention")
* Deploy, edit, rebuild, resize, power-cycle [Broken link](https://docs.platform9.com/api-docs/broken-reference "mention")
* Deploy, edit, resize block storage [Broken link](https://docs.platform9.com/api-docs/broken-reference "mention")
* Create, edit, delete [Broken link](https://docs.platform9.com/api-docs/broken-reference "mention")

and a lot more, all using REST API calls.

{% stepper %}
{% step %}

#### Getting started

You will need a <code class="expression">space.vars.product\_name</code> account to start with. If you don’t already have an account, you need to contact your <code class="expression">space.vars.product\_name</code> administrator to get an account created. For users of <code class="expression">space.vars.product\_name</code> community edition, use your community edition login credentials and account info that you received post installation.
{% endstep %}

{% step %}

#### Create an access token

After creating an account, you'll be able to create a personal access token using the [Broken link](https://docs.platform9.com/api-docs/broken-reference "mention") method to get a token.

This token represents your user in <code class="expression">space.vars.product\_name</code> and allows you to make API calls, create or update virtual machines, storage volumes, networks, and any other objects, in any <code class="expression">space.vars.product\_name</code> tenants that you're a part of, depending on your user role and privileges specific to the tenants.

Once you have your token, you are now ready to make your first API call.<br>
{% endstep %}

{% step %}

#### Make your first API call

The example below shows how to make an API call to list all virtual machines within a specific tenant.

```bash
curl -L \
  --url 'https://example.platform9.com/nova/v2.1/servers' \
  --header 'X-Auth-Token: YOUR_ACCESS_TOKEN' \
  --header 'Accept: */*'
```

{% endstep %}
{% endstepper %}

<code class="expression">space.vars.product\_name</code> API has many different API calls that allow you to interact with <code class="expression">space.vars.product\_name</code> in different ways. After making your first API call, explore the API reference to review the different objects and API calls that you can make on those objects.

#### &#x20;<a href="#explore-gitbooks-api" id="explore-gitbooks-api"></a>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/api-docs/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
